curl --location 'https://uat.myvocal.ai/sound_clone/api/v1/voices/design' \
--header 'accessKey: xxx' \
--header 'Content-Type: application/json' \
--data '{
"text": "The client interacts with users through mobile devices, while the server is responsible for data in",
"gender": "female",
"accent": "indian",
"age": "old",
"accentStrength": 1.4
}'
This response is stream.
{
"code": -1,
"message": "error msg",
}
Voice
Design Voice for TTS_Generate
Create a new voice without any audio files.(❗❗❗File-related interfaces are not supported, please use interface tools for requests.)
POST
/
sound_clone
/
api
/
v1
/
voices
/
design
curl --location 'https://uat.myvocal.ai/sound_clone/api/v1/voices/design' \
--header 'accessKey: xxx' \
--header 'Content-Type: application/json' \
--data '{
"text": "The client interacts with users through mobile devices, while the server is responsible for data in",
"gender": "female",
"accent": "indian",
"age": "old",
"accentStrength": 1.4
}'
This response is stream.
{
"code": -1,
"message": "error msg",
}
Header
string
required
You can copy your api-key on https://www.myvocal.ai/profile after you have subscribed to Pro or Business Plan.
Body
string
required
Please provide a piece of English content that is no less than 100 characters and no more than 500 characters for the purpose of generating a trial audio.
string
required
male
female
string
required
american
british
african
australian
indian
string
required
middle_aged
young
old
string
required
The parameter requirement is a decimal between 0 and 2, with increments of 0.1.
Response
Header
string
If the request is successful, this value in the callback is audio/mpeg.
string
The designId included in the callback when you use Design Voice for TTS_Generate
Body
curl --location 'https://uat.myvocal.ai/sound_clone/api/v1/voices/design' \
--header 'accessKey: xxx' \
--header 'Content-Type: application/json' \
--data '{
"text": "The client interacts with users through mobile devices, while the server is responsible for data in",
"gender": "female",
"accent": "indian",
"age": "old",
"accentStrength": 1.4
}'
This response is stream.
{
"code": -1,
"message": "error msg",
}
